Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.eviware.soapui.model.mock
Interface MockResponse

All Superinterfaces:
  ModelItem, PropertyChangeNotifier

All Known Implementing Classes:
  WsdlMockResponse

    public interface MockResponse

extends ModelItem

A MockResponse returned by a MockOperation

Author:
  ole.matzura

Field Summary
`static java.lang.String` | `ATTACHMENTS_PROPERTY`
`static java.lang.String` | `ENCODING_PROPERTY`
`static java.lang.String` | `MTOM_NABLED_PROPERTY`
`static java.lang.String` | `RESPONSECONTENT_PROPERTY`

Fields inherited from interface com.eviware.soapui.model.ModelItem
`DESCRIPTION_PROPERTY, ICON_PROPERTY, NAME_PROPERTY`

Method Summary
`Attachment[]` | `getAttachments()`
`java.lang.String` | `getEncoding()`
`MockOperation` | `getMockOperation()`
`MockResult` | `getMockResult()`
`java.lang.String` | `getResponseContent()`
`StringToStringMap` | `getResponseHeaders()`
`boolean` | `isMtomEnabled()`

Methods inherited from interface com.eviware.soapui.model.ModelItem
`getDescription, getIcon, getName, getSettings`

Methods inherited from interface com.eviware.soapui.support.PropertyChangeNotifier
`addPropertyChangeListener, addPropertyChangeListener, removePropertyChangeListener, removePropertyChangeListener`

Field Detail

### RESPONSECONTENT_PROPERTY

    static final java.lang.String RESPONSECONTENT_PROPERTY

### ATTACHMENTS_PROPERTY

    static final java.lang.String ATTACHMENTS_PROPERTY

### ENCODING_PROPERTY

    static final java.lang.String ENCODING_PROPERTY

### MTOM_NABLED_PROPERTY

    static final java.lang.String MTOM_NABLED_PROPERTY

Method Detail

### getResponseContent

    java.lang.String getResponseContent()

### getEncoding

    java.lang.String getEncoding()

### isMtomEnabled

    boolean isMtomEnabled()

### getAttachments

    Attachment[] getAttachments()

### getMockOperation

    MockOperation getMockOperation()

### getResponseHeaders

    StringToStringMap getResponseHeaders()

### getMockResult

    MockResult getMockResult()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005-2007 eviware.com. All Rights Reserved.